GNU bug report logs - #50279
28.0.50; ffap-file-finder customization no longer works

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Bob Rogers <rogers@HIDDEN>; dated Mon, 30 Aug 2021 17:08:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50279 <at> debbugs.gnu.org:


Received: (at 50279) by debbugs.gnu.org; 30 Sep 2021 06:09:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 02:09:24 2021
Received: from localhost ([127.0.0.1]:51159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVpG0-0000RL-I7
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 02:09:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mVpFw-0000R0-M1
 for 50279 <at> debbugs.gnu.org; Thu, 30 Sep 2021 02:09:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=1aMVMg67s+37bwRo0u2ROEO54LEbWOvQTOE1e6zE/QU=; b=Wd/ws7DIgZFix9bpt0qZDq+sd2
 D4Xt/QSC5RPPW17RuanhePAORlaZS/CuYqqinbVehIUGykAv+ETDnXKh3X8JGMW70dCf7o0EE890m
 /ooQkODCigY+AB/XGzDX+54R0SJXXwGJCQ+uh8odF0/ofTnxabI3N1e+X9/pxHGAYkc0=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mVpFn-0002Kk-5y; Thu, 30 Sep 2021 08:09:13 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Bob Rogers <rogers@HIDDEN>
Subject: Re: bug#50279: 28.0.50; ffap-file-finder customization no longer works
References: <24877.4196.703337.360137@HIDDEN>
 <87r1ea5q7t.fsf@HIDDEN> <24877.41211.907036.418118@HIDDEN>
 <87ilzmjn2a.fsf@HIDDEN> <87y27f8j4j.fsf@HIDDEN>
 <24916.36899.634409.375398@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEW8v8V5fYQqKy//
 ///pLfJCAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+UJHgU7HW70I0YAAAF0SURBVCjPTZGxboNADIb/
 Q8DAlEghSpk79SluaJmJlIsapg4hKjxF1LFTIhWkbhm4Suen7G+o2p4E1mefff5tAE5EBtEDiz3N
 u3yJeAApoQzqIhQ0ZqRrIKxFgvnQP6EWGU3fSV0DhnAzTl2MPIhc0qYOoSN0IufUs9p1BpvJSfyB
 OfpAJvvPdoupgbEWNyY7IGFvj11owh0j2pAppJfGwShZgvM7GBdJTxhcb+mOWI3NBlf9ALsItbbD
 h3hNfFtq+qFT6Ds/lTZxMY0B8yFQA0ub4FigmWeAKlHofq/l7h/Mc8G/44AFzTapqj9nEsKRhvKw
 5Be/Vgbaq5mjJ1xda1RvvKKvtk9ea8Z5ZWGZuPaGsCjBxmIk3hISyHAptfSuOBDejqpwL9uihpzb
 iJG8FNeB+qeh9BVli035bCZjnPMazIvKDqtlRsBxmsEGicJ6WuUzLSG1014pjsuPrK7yYmLcqKDS
 yI05uod7hRH5JGszQ/wNWgOkQKnki5IAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDktMzBUMDU6
 NTk6MjgrMDA6MDB3yrnqAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA5LTMwVDA1OjU5OjI4KzAw
 OjAwBpcBVgAAAABJRU5ErkJggg==
X-Now-Playing: The Notwist's _Storm_: "Sturm 2"
Date: Thu, 30 Sep 2021 08:09:07 +0200
In-Reply-To: <24916.36899.634409.375398@HIDDEN> (Bob Rogers's message
 of "Wed, 29 Sep 2021 12:11:15 -0400")
Message-ID: <877dey7fy4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Bob Rogers <rogers@HIDDEN> writes: > It definitely has
 to do with my initializations, but I've been swamped > for the last three
 weeks and unable to get any further. I should be > able to get back to it
 this week. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50279
Cc: 50279 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Bob Rogers <rogers@HIDDEN> writes:

> It definitely has to do with my initializations, but I've been swamped
> for the last three weeks and unable to get any further.  I should be
> able to get back to it this week.

Great; there's no hurry.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50279; Package emacs. Full text available.

Message received at 50279 <at> debbugs.gnu.org:


Received: (at 50279) by debbugs.gnu.org; 29 Sep 2021 16:11:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 12:11:26 2021
Received: from localhost ([127.0.0.1]:49972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVcB4-000591-1j
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 12:11:26 -0400
Received: from mail-qv1-f47.google.com ([209.85.219.47]:39690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rogers@HIDDEN>) id 1mVcB1-00058j-No
 for 50279 <at> debbugs.gnu.org; Wed, 29 Sep 2021 12:11:25 -0400
Received: by mail-qv1-f47.google.com with SMTP id a14so1769949qvb.6
 for <50279 <at> debbugs.gnu.org>; Wed, 29 Sep 2021 09:11:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=rgrjr-com.20210112.gappssmtp.com; s=20210112;
 h=from:mime-version:content-transfer-encoding:message-id:date:to:cc
 :subject:in-reply-to:references;
 bh=5P9HHRKIDugGSVZ5R2/rMGJwzxXi296u+ANHLujZ+yc=;
 b=jrZLjLdHXTs450lEHQNTi/dEoZCqP6Xhg0P6gWWe5xlzccnXLgqfjBB67zuXFTcJQw
 oVsCqmlhQOsJ4FckGn1v49Bk0bC3/mEmQHvyiNi+nU30lfRtfHwxGpMjvi0pN0y4ysMm
 dYH9rsCKymI5DUwasSThTp8H2p6q+lKh0E81crPnrBeavKiJ1I/lq+LW3UIXzAJOEAZh
 NBtBBFcB2DL7exqxRRvFAjXeeHv4qiP9NjqVpX/fGn1x/bewYQRgdTgDi4naqjNaCxmH
 CxSrZjYfepFo06Fhwm/JrLW5/XRm/xOIKgyDBOlSxzlkqZ5QG4fcfa6bzg5Frel5n9jv
 gFqw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:mime-version:content-transfer-encoding
 :message-id:date:to:cc:subject:in-reply-to:references;
 bh=5P9HHRKIDugGSVZ5R2/rMGJwzxXi296u+ANHLujZ+yc=;
 b=5g4Vb3zwRlsJYJCzm1wzQZhRgqCw1a9y1mdJQsdB83z7WycMCW7nai28D7q/a9x2Kq
 PU33CAfvvcEUQi4cizN1tiPd5Dw1FYOQrnqIzucm7ajdBbw0Et9Zc8fcLhC4QkMS64D2
 mlsFjsNRovWU3xshIGyfkW+9DNJrqwc/VPXyHOzi2rqpVoTHuuoxxKf8Ud/qAUUtckJ9
 IswXVCkGLUhyYjv2IQr/ys2FJqku79XSnW+qcefwypcXBEe55+CQionezOY4br0AHP3F
 brqfUbey/Cf/2cwltrCIHluOzCJOZt/xasKJamUDm1OFVQo5mzE0WKg7ahNBV0HRDXk8
 UIYg==
X-Gm-Message-State: AOAM532wnDEqplQducYI7XoeFjpAudAf5NLEOdQFhxj8s6o8omSq9dI4
 70KOCc5kN8opPKuIUDYxlnwclg==
X-Google-Smtp-Source: ABdhPJw0EFzsYLKwKLEMzlI/0bQyIV44e2saZ3aiuZzpwwcEvgeowQNmsehdSmOxSkMbUnf5jPOqWw==
X-Received: by 2002:ad4:4568:: with SMTP id o8mr858848qvu.21.1632931878062;
 Wed, 29 Sep 2021 09:11:18 -0700 (PDT)
Received: from orion.rgrjr.com ([2601:19c:4600:3270:1eb7:2cff:fea9:e38b])
 by smtp.gmail.com with ESMTPSA id r10sm141807qkk.95.2021.09.29.09.11.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 29 Sep 2021 09:11:16 -0700 (PDT)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <24916.36899.634409.375398@HIDDEN>
Date: Wed, 29 Sep 2021 12:11:15 -0400
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#50279: 28.0.50; ffap-file-finder customization no longer works
In-Reply-To: <87y27f8j4j.fsf@HIDDEN>
References: <24877.4196.703337.360137@HIDDEN>
 <87r1ea5q7t.fsf@HIDDEN>
 <24877.41211.907036.418118@HIDDEN>
 <87ilzmjn2a.fsf@HIDDEN> <87y27f8j4j.fsf@HIDDEN>
X-Mailer: VM 7.19 under Emacs 28.0.50
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 50279
Cc: 50279 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

   From: Lars Ingebrigtsen <larsi@HIDDEN>
   Date: Wed, 29 Sep 2021 18:02:52 +0200

   Lars Ingebrigtsen <larsi@HIDDEN> writes:

   >> I can reproduce this using my full customizations, but not in emacs -Q
   >> with an excerpt of my code.  More precisely, the problem reproduces, but
   >> not the desired behavior after reverting the change.  And indeed,
   >> looking closer at the code, I don't understand why reverting this
   >> particular change should make a difference.  But it worked when I built
   >> emacs on 31-Jul (d3d6ea50d2) and didn't when I next built it on 11-Aug
   >> (3b5f8ab0d0), and I don't see any other change to ffap.el that might
   >> explain the difference.
   >>
   >>    I'll be out of town tomorrow, so I'll have to give this another look
   >> on Wednesday.

   This was a month ago -- did you make any further progress in debugging
   this?

It definitely has to do with my initializations, but I've been swamped
for the last three weeks and unable to get any further.  I should be
able to get back to it this week.

					-- Bob




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50279; Package emacs. Full text available.

Message received at 50279 <at> debbugs.gnu.org:


Received: (at 50279) by debbugs.gnu.org; 29 Sep 2021 16:03:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 12:03:04 2021
Received: from localhost ([127.0.0.1]:49959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVc2y-0004uu-B8
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 12:03:04 -0400
Received: from quimby.gnus.org ([95.216.78.240]:59106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mVc2w-0004tu-Bu
 for 50279 <at> debbugs.gnu.org; Wed, 29 Sep 2021 12:03:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Cs/sD5NL5HvebfZCa/MfBvHDYwWp/gXP3IusR7HwyZY=; b=MNEbtynCxjGs4iBATCWNL+CdrT
 c42AthHgbEdQpL7Lju9d+HEn0v5SNjQodLZlKrU6PiK5455TvAGcgaDGS1655gnhM1AEUWIqrmLLw
 wak1JLfwlMM4VtyXgYLY/E/qrI/W0/P9mx5+kblxIEFCBjH/L7jYLRRFrJ7nAE1l9Pgk=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mVc2n-0002Ul-C4; Wed, 29 Sep 2021 18:02:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Bob Rogers <rogers@HIDDEN>
Subject: Re: bug#50279: 28.0.50; ffap-file-finder customization no longer works
References: <24877.4196.703337.360137@HIDDEN>
 <87r1ea5q7t.fsf@HIDDEN> <24877.41211.907036.418118@HIDDEN>
 <87ilzmjn2a.fsf@HIDDEN>
X-Now-Playing: The Notwist's _Shrink_: "Day 7"
Date: Wed, 29 Sep 2021 18:02:52 +0200
In-Reply-To: <87ilzmjn2a.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 31 Aug 2021 05:43:57 +0200")
Message-ID: <87y27f8j4j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: >> I can reproduce
 this using my full customizations, but not in emacs -Q >> with an excerpt
 of my code. More precisely, the problem reproduces, but >> not the desired
 behavior after reverting the cha [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50279
Cc: 50279 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> I can reproduce this using my full customizations, but not in emacs -Q
>> with an excerpt of my code.  More precisely, the problem reproduces, but
>> not the desired behavior after reverting the change.  And indeed,
>> looking closer at the code, I don't understand why reverting this
>> particular change should make a difference.  But it worked when I built
>> emacs on 31-Jul (d3d6ea50d2) and didn't when I next built it on 11-Aug
>> (3b5f8ab0d0), and I don't see any other change to ffap.el that might
>> explain the difference.
>>
>>    I'll be out of town tomorrow, so I'll have to give this another look
>> on Wednesday.

This was a month ago -- did you make any further progress in debugging
this?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50279; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50279 <at> debbugs.gnu.org:


Received: (at 50279) by debbugs.gnu.org; 31 Aug 2021 03:44:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 23:44:19 2021
Received: from localhost ([127.0.0.1]:60838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKuh5-0005pD-HZ
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 23:44:19 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mKuh0-0005ow-5d
 for 50279 <at> debbugs.gnu.org; Mon, 30 Aug 2021 23:44:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WWWt9nCEQRaeGTc7P4iaSvmBeHhem1Sgils+rDo/zp8=; b=YHInRQmVkEg1bW5Y9759gtPXlp
 PZwZwD/91QIf6UgHKMVX+iZ3jEiPAQ8KduAVR7l51z4vSqs6ZcH1oyZEccI97SiQ5esAHswgNLbQj
 IWDVsZP1ycifAZEdw3IzToz1SemTHhkt19RdGd4wmqnVmxtaBjZR6r7BgdS8713hCjDo=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mKugp-0006jD-3v; Tue, 31 Aug 2021 05:44:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Bob Rogers <rogers@HIDDEN>
Subject: Re: bug#50279: 28.0.50; ffap-file-finder customization no longer works
References: <24877.4196.703337.360137@HIDDEN>
 <87r1ea5q7t.fsf@HIDDEN> <24877.41211.907036.418118@HIDDEN>
Date: Tue, 31 Aug 2021 05:43:57 +0200
In-Reply-To: <24877.41211.907036.418118@HIDDEN> (Bob Rogers's message
 of "Mon, 30 Aug 2021 23:24:43 -0400")
Message-ID: <87ilzmjn2a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: (Re-sending the mail to the bug tracker.) Bob Rogers
 <rogers@HIDDEN>
 writes: > From: Lars Ingebrigtsen <larsi@HIDDEN> > Date: Tue, 31 Aug 2021
 03:59:34 +0200 > > Do you have a test case that demonstrates the breakage?
 > > I can reproduce this using my full customizations, bu [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50279
Cc: 50279 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

(Re-sending the mail to the bug tracker.)

Bob Rogers <rogers@HIDDEN> writes:

>    From: Lars Ingebrigtsen <larsi@HIDDEN>
>    Date: Tue, 31 Aug 2021 03:59:34 +0200
>
>    Do you have a test case that demonstrates the breakage?
>
> I can reproduce this using my full customizations, but not in emacs -Q
> with an excerpt of my code.  More precisely, the problem reproduces, but
> not the desired behavior after reverting the change.  And indeed,
> looking closer at the code, I don't understand why reverting this
> particular change should make a difference.  But it worked when I built
> emacs on 31-Jul (d3d6ea50d2) and didn't when I next built it on 11-Aug
> (3b5f8ab0d0), and I don't see any other change to ffap.el that might
> explain the difference.
>
>    I'll be out of town tomorrow, so I'll have to give this another look
> on Wednesday.
>
> 					-- Bob




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50279; Package emacs. Full text available.

Message received at 50279 <at> debbugs.gnu.org:


Received: (at 50279) by debbugs.gnu.org; 31 Aug 2021 01:59:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 21:59:49 2021
Received: from localhost ([127.0.0.1]:60706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKt40-0002zH-T9
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 21:59:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mKt3y-0002yx-2u
 for 50279 <at> debbugs.gnu.org; Mon, 30 Aug 2021 21:59:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=sTgrxqEMVcb6L4i2+g082pznkVpOz4bbvDUfjRJlpmg=; b=U5ZGpUufS+ujTwHvk7Aut1hTb+
 cHt3raXsdLqPCq4gAQKygrRJ5VTJuWIF5NO4g/RXodBa4LTjKIJVhZdm1kIW/8vdUCAPvX8MZNjCL
 2Ld3Dcg88P4qFHY7uVswgbutc3qxJXAv2idwun95s5mEQrogafar4tc3huT1JZm/jt+s=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mKt3m-0005XT-ME; Tue, 31 Aug 2021 03:59:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Bob Rogers <rogers@HIDDEN>
Subject: Re: bug#50279: 28.0.50; ffap-file-finder customization no longer works
References: <24877.4196.703337.360137@HIDDEN>
Date: Tue, 31 Aug 2021 03:59:34 +0200
In-Reply-To: <24877.4196.703337.360137@HIDDEN> (Bob Rogers's message
 of "Mon, 30 Aug 2021 13:07:48 -0400")
Message-ID: <87r1ea5q7t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Bob Rogers <rogers@HIDDEN> writes: > I have a
 long-standing
 customization to ffap-file-finder which offers > external applications
 depending
 on file extension that is broken by the > following commit: > > commit
 253b36bd40d1b342cdda09b [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50279
Cc: 50279 <at> debbugs.gnu.org, dick.r.chiang@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Bob Rogers <rogers@HIDDEN> writes:

>    I have a long-standing customization to ffap-file-finder which offers
> external applications depending on file extension that is broken by the
> following commit:
>
>     commit 253b36bd40d1b342cdda09b0bee183788120f67e
>     Author: dickmao <none>
>     Date:   Tue Aug 3 12:02:48 2021 -0400
>
> 	ffap ido accommodation

Do you have a test case that demonstrates the breakage?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50279; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2021 17:07:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 13:07:56 2021
Received: from localhost ([127.0.0.1]:60163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKklI-0002ie-BA
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 13:07:56 -0400
Received: from lists.gnu.org ([209.51.188.17]:43950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rogers@HIDDEN>) id 1mKklG-0002iW-3S
 for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 13:07:54 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56038)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rogers@HIDDEN>) id 1mKklF-0000AY-Va
 for bug-gnu-emacs@HIDDEN; Mon, 30 Aug 2021 13:07:53 -0400
Received: from mail-qt1-x832.google.com ([2607:f8b0:4864:20::832]:42982)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <rogers@HIDDEN>) id 1mKklE-0008Ds-2x
 for bug-gnu-emacs@HIDDEN; Mon, 30 Aug 2021 13:07:53 -0400
Received: by mail-qt1-x832.google.com with SMTP id w17so2565514qta.9
 for <bug-gnu-emacs@HIDDEN>; Mon, 30 Aug 2021 10:07:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=rgrjr-com.20150623.gappssmtp.com; s=20150623;
 h=from:mime-version:content-transfer-encoding:message-id:date:to
 :subject; bh=V8qVz158F+9zPwTdh51E963j9soHhDiYzq5JDA2vz4Q=;
 b=x2WE+Wm7MfMnx3fBgDvl8W/1Jl/+l9zmdIVKM3LatYm5ugoKuxmGfyt4SeFTGmC68A
 7R74DimbHaj2yotqtJKkjcxMUhV2Pbkqjo9aHEaPndYvEcNAWmR69jSfPxQ61cSfXXJ6
 PGySxMDD5aWQMndGDuitSVd9LJzLHP/NX20yUToxI8+rwjeCX64LvySlfEriHerY+46a
 x/nh8xhWW7TdHLvuX27R8T/wV7gy22+DyeihJYdhvLx/D68SueDu7oZlVrAp9gc+V0IS
 ifzHlN/rc5yieM2pFVkA6VjGBgIle3TSTlmOEPLfUTNccH7TL/wp/4xUTD7WT1h5uPxN
 7fTg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:content-transfer-encoding
 :message-id:date:to:subject;
 bh=V8qVz158F+9zPwTdh51E963j9soHhDiYzq5JDA2vz4Q=;
 b=VAbSOuILvIr2uqe2E3XjMSxCdZ/V2Y/WFFDcFU2PpohY3htZ424WU04r7HIaTDrU7m
 5YpSy6+1G4DYbtVvPZwByz25H+nMFiTsEjiDfUyYHWrgOXqrqXNnxo8RvIHNwm9ZsU4K
 PoaPo9KIF1LgfpQ0QUQ+A3eZNqaIwNPPDOKDb5BVobk3GqnM7TGdXt6XHOn3WCjeh47M
 tc95OHFoKPfp9fTRr+xs4Jt2+fVZHmmNa8seEAY6wLjGJvO96SEHPRgb4nlcmpdPvoT1
 /EvvKw8uvgGuM8TYgeH2dPSheyT/yWF7U10Df2NHpD6DlO1fx31JaPRSVGv1dyX5Sb64
 VBmA==
X-Gm-Message-State: AOAM533Ft0v8JtrusA5kWZtPjF/x7F4MLpA6m900rEYwxINVCM6MsSRF
 ljIRzBffKWY4BSb+Nlen03cj5g7WHsKz2w==
X-Google-Smtp-Source: ABdhPJzLVijsTalybbOKfBwmYWrp9JFSsiG6BXvoZ2bQsgIEqp0gIK7Z1tFPaXEYloG6O4xLgIKdRQ==
X-Received: by 2002:a05:622a:1452:: with SMTP id
 v18mr5582269qtx.214.1630343270366; 
 Mon, 30 Aug 2021 10:07:50 -0700 (PDT)
Received: from orion.rgrjr.com ([2601:19c:4600:3270:1eb7:2cff:fea9:e38b])
 by smtp.gmail.com with ESMTPSA id 187sm11512262qke.32.2021.08.30.10.07.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 30 Aug 2021 10:07:49 -0700 (PDT)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <24877.4196.703337.360137@HIDDEN>
Date: Mon, 30 Aug 2021 13:07:48 -0400
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; ffap-file-finder customization no longer works
X-Mailer: VM 7.19 under Emacs 28.0.50
Received-SPF: none client-ip=2607:f8b0:4864:20::832;
 envelope-from=rogers@HIDDEN; helo=mail-qt1-x832.google.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

   I have a long-standing customization to ffap-file-finder which offers
external applications depending on file extension that is broken by the
following commit:

    commit 253b36bd40d1b342cdda09b0bee183788120f67e
    Author: dickmao <none>
    Date:   Tue Aug 3 12:02:48 2021 -0400

	ffap ido accommodation

	Now that ffap-file-finder can be ido-find-file, the
	noninteractive portion of find-file-at-point cannot
	assume ffap-file-finder always takes an argument
	(ido-find-file does not).

	* lisp/ffap.el (find-file-at-point): Do not call ffap-file-finder.
	* test/lisp/ffap-tests.el (ffap-ido-mode): Test it.

The essence of the change is that it does find-file at the critical
point instead of funcalling ffap-file-finder.  I assume that breaking
such extensions was not the intent, as it is an incompatible change to a
defcustom variable, and there is no associated NEWS entry.

					-- Bob Rogers
					   http://www.rgrjr.com/




Acknowledgement sent to Bob Rogers <rogers@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50279; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 31 Oct 2021 16:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.